Bug 1399526 - [RFE] CRUD actions for Snapshots via REST API
Summary: [RFE] CRUD actions for Snapshots via REST API
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: API
Version: 5.7.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: GA
: 5.8.0
Assignee: Tim Wade
QA Contact: Martin Kourim
URL:
Whiteboard: rest:snapshot
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-11-29 09:12 UTC by Christian Jung
Modified: 2020-07-16 09:01 UTC (History)
7 users (show)

Fixed In Version: 5.8.0.3
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-05-31 14:24:44 UTC
Category: ---
Cloudforms Team: ---
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:1367 normal SHIPPED_LIVE Moderate: CFME 5.8.0 security, bug, and enhancement update 2017-05-31 18:16:03 UTC

Description Christian Jung 2016-11-29 09:12:57 UTC
Description of problem:
the REST API is improving with every release, which is brilliant. One thing we still miss quite often is the capability to created, update, delete and reverse snapshots from the REST API. It would be nice if this feature set could be prioritized.

Version-Release number of selected component (if applicable):
all current releases

Comment 2 Sachin 2016-12-07 05:48:19 UTC
@Gregg

Do you have any idea on how to proceed to fix this? Our internal team also has this requirement. If you could involve us()

Comment 6 Martin Kourim 2017-03-28 20:08:15 UTC
Verified that create and delete actions are supported on /api/vms/:vm_id/snapshots and /api/instances/:instance_id/snapshots and revert action on /api/vms/:vm_id/snapshots/:id

Comment 9 errata-xmlrpc 2017-05-31 14:24:44 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:1367


Note You need to log in before you can comment on or make changes to this bug.